Commit Diff


commit - 1430b4e093e8dcc1a214e26991cd06d3992db829
commit + 3165301c5af64176c55b5c4c7dbfab343106e3e9
blob - 897edc348bc687fb78ec40cb8f22235edb39e7cb
blob + bd9f958e79f52fe03a9add930fabbdca8726c8cd
--- regress/cmdline/update.sh
+++ regress/cmdline/update.sh
@@ -893,6 +893,18 @@ function test_update_conflict_add_vs_add {
 	ret="$?"
 	if [ "$ret" != "0" ]; then
 		diff -u $testroot/content.expected $testroot/content
+		test_done "$testroot" "$ret"
+		return 1
+	fi
+
+	# resolve the conflict
+	echo "new and also new" > $testroot/wt/gamma/new
+	echo 'M  gamma/new' > $testroot/stdout.expected
+	(cd $testroot/wt && got status > $testroot/stdout)
+	cmp $testroot/stdout.expected $testroot/stdout
+	ret="$?"
+	if [ "$ret" != "0" ]; then
+		diff -u $testroot/stdout.expected $testroot/stdout
 	fi
 	test_done "$testroot" "$ret"
 }